{ lib, config, ... }: {

  #environment.sessionVariables.SOPS_AGE_KEY_FILE = keyFilePath;
  systemd.user.startServices = "sd-switch";
  programs.home-manager.enable = true;

  home = {
    username = "${config.usercfg.username}";
    homeDirectory = "/home/${config.usercfg.username}";

    stateVersion = "24.11";
  };


  #SOPS
  sops.defaultSopsFile = ./sops/${config.usercfg.username}.yaml;
  sops.age.keyFile = "/var/lib/sops-nix/age-key.txt";
  sops.age.generateKey = true;
  sops.secrets."github_user_key" = { };
  sops.secrets."curse_forge_key" = { };
}
