{ pkgs, config, ... }: {

  home.packages = with pkgs; [ btop ];
  xdg.configFile."btop/themes/${config.colorScheme.slug}.theme".text = ''

    # Theme generated from: ${config.colorScheme.slug}

    # Main background, empty for terminal default, need to be empty if you want transparent background
    theme[main_bg]="#${config.colorScheme.palette.base00}"

    # Main text color
    theme[main_fg]="#${config.colorScheme.palette.base07}"

    # Title color for boxes
    theme[title]="#${config.colorScheme.palette.base07}"

    # Higlight color for keyboard shortcuts
    theme[hi_fg]="#${config.colorScheme.palette.base0E}"

    # Background color of selected item in processes box
    theme[selected_bg]="#${config.colorScheme.palette.base0C}"

    # Foreground color of selected item in processes box
    theme[selected_fg]="#${config.colorScheme.palette.base00}"

    # Color of inactive/disabled text
    theme[inactive_fg]="#${config.colorScheme.palette.base02}"

    # Color of text appearing on top of graphs, i.e uptime and current network graph scaling
    theme[graph_text]="#${config.colorScheme.palette.base05}"

    # Misc colors for processes box including mini cpu graphs, details memory graph and details status text
    theme[proc_misc]="#${config.colorScheme.palette.base0C}"

    # Cpu box outline color
    theme[cpu_box]="#${config.colorScheme.palette.base02}"

    # Memory/disks box outline color
    theme[mem_box]="#${config.colorScheme.palette.base02}"

    # Net up/down box outline color
    theme[net_box]="#${config.colorScheme.palette.base02}"

    # Processes box outline color
    theme[proc_box]="#${config.colorScheme.palette.base02}"

    # Box divider line and small boxes line color
    theme[div_line]="#${config.colorScheme.palette.base02}"

    # Temperature graph colors
    theme[temp_start]="#${config.colorScheme.palette.base0D}"
    theme[temp_mid]=""
    theme[temp_end]="#${config.colorScheme.palette.base0F}"

    # CPU graph colors
    theme[cpu_start]="#${config.colorScheme.palette.base0C}"
    theme[cpu_mid]=""
    theme[cpu_end]="#${config.colorScheme.palette.base0C}"

    # Mem/Disk free meter
    theme[free_start]="#${config.colorScheme.palette.base0A}"
    theme[free_mid]=""
    theme[free_end]="#${config.colorScheme.palette.base0A}"

    # Mem/Disk cached meter
    theme[cached_start]="#${config.colorScheme.palette.base09}"
    theme[cached_mid]=""
    theme[cached_end]="#${config.colorScheme.palette.base09}"

    # Mem/Disk available meter
    theme[available_start]="#${config.colorScheme.palette.base0B}"
    theme[available_mid]=""
    theme[available_end]="#${config.colorScheme.palette.base0B}"

    # Mem/Disk used meter
    theme[used_start]="#${config.colorScheme.palette.base08}"
    theme[used_mid]=""
    theme[used_end]="#${config.colorScheme.palette.base08}"

    # Download graph colors
    theme[download_start]="#${config.colorScheme.palette.base02}"
    theme[download_mid]=""
    theme[download_end]="#${config.colorScheme.palette.base0D}"

    # Upload graph colors
    theme[upload_start]="#${config.colorScheme.palette.base02}"
    theme[upload_mid]=""
    theme[upload_end]="#${config.colorScheme.palette.base0E}"
     
  '';
}
